function [output_common] = automatic_detection(data,Ts)
% Tato funkce získá společné pozice prahovaných parametrů.
% vstup: data - vstupní data, Ts - vzorkovací perioda
% výstup: output_common - společné pozice prahovaných parametrů
        
%% Main
        %output = fit_biexp(data(:,:,:,:));
        %output = fit_gauss(data(:,:,:,:));
        %save('output','output');
        
        output = load('output_AC09_biexp_vst');
        output = output.output;
                

%% Biexp
x=size(data,1);
y=size(data,2);
z=size(data,3);

height_c = zeros(size(data(:,:,:,1)));

for i = 1:x
    for j = 1:y
        for k = 1:z
            height_c(i,j,k) = bi_exp(squeeze(output(i,j,k,:)),output(i,j,k,8));
        end
    end
end

%% Prahování - normalizace plochou pod křivkou - medián

% Práh 0 - offset
offset = output(:,:,:,4);

% Práh 1 - pozice peaku
output(:,:,:,8) = output(:,:,:,8)*Ts;
output8 = output(:,:,:,8)<(80*Ts) & output(:,:,:,8)>(35*Ts);
output(:,:,:,8) = output8(:,:,:);

% Práh 2 - podle výšky
output11 = height_c;
output11 = output11>15 & output11<40;
output(:,:,:,11) = output11(:,:,:);

% Práh 3 - pokles
output(:,:,:,3) = output(:,:,:,3)*Ts;
output3 = output(:,:,:,3)<(200*Ts) & output(:,:,:,3)>(15*Ts);
output(:,:,:,3) = output3(:,:,:);

% Práh 4 - výška - offset
output12 = (height_c-offset);
output(:,:,:,12) = output12(:,:,:)*Ts;
output12 = output(:,:,:,12)>(10*Ts) & output(:,:,:,12)<(20*Ts);
output(:,:,:,12) = output12(:,:,:);

rgbImage1 = cat(3, output(:,:,1,8), output(:,:,1,11), output(:,:,1,12));
%rgbImage1 = imrotate(rgbImage1 ,90);
imshow(rgbImage1);

%% Kombinace parametrů

temp=cat(4,output3,output8,output11,output12); 

temp(temp>0)=1;
temp(temp<0)=0;
output_common = sum(double(temp),4)>=4;

end